NGINX Dependancy failure

Rhys asked:

When I try to ./configure nginx 1.4 or 1.5 i get the below.

checking for OS
 + Linux 2.6.18-274.18.1.el5 x86_64
checking for C compiler ... not found

./configure: error: C compiler cc is not found

So I try and install yum install GCC and get the below.

glibc-headers-2.5-58.x86_64 from RHEL-5-64 has depsolving problems
  --> Missing Dependency: glibc = 2.5-58 is needed by package glibc-headers-2.5-58.x86_64 (RHEL-5-64)
glibc-devel-2.5-58.x86_64 from RHEL-5-64 has depsolving problems
  --> Missing Dependency: glibc = 2.5-58 is needed by package glibc-devel-2.5-58.x86_64 (RHEL-5-64)
Error: Missing Dependency: glibc = 2.5-58 is needed by package glibc-devel-2.5-58.x86_64 (RHEL-5-64)
Error: Missing Dependency: glibc = 2.5-58 is needed by package glibc-headers-2.5-58.x86_64 (RHEL-5-64)

However when I try yum install glibc I get this result.

    Setting up Install Process
    Package matching glibc-2.5-58.x86_64 already installed. Checking for update.
    Package matching glibc-2.5-58.i686 already installed. Checking for update.
   Nothing to do

So, from what I am seeing the dependencies are there, so what am I missing?

Thanks in advance.

My answer:


Your machine does not have an active Red Hat subscription. Assign an active subscription to the machine and then try again.


View the full question and answer on Server Fault.

Creative Commons License
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.